Bug 585969 - SELinux blocks the caching operations for RSS feeds in websvn
SELinux blocks the caching operations for RSS feeds in websvn
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: websvn (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 10:40 EDT by Douglas Furlong
Modified: 2010-10-15 12:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: websvn-2.3.1-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 02:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Douglas Furlong 2010-04-26 10:40:51 EDT
Description of problem:
After installing and configuring websvn, the RSS feature fails due to SELinux permissions.

The directory causing issues /var/cache/websvn

I updated the directory to have the same context as mod_proxy (possibly not the most appropriate)

drwxr-xr-x  apache apache system_u:object_r:httpd_cache_t  websvn

Version-Release number of selected component (if applicable):

[root@app7002-svn conf]# rpm -qv websvn
websvn-2.2.1-1.el5
[root@app7002-svn conf]# rpm -qa | grep selinux
libselinux-python-1.33.4-5.5.el5
libselinux-utils-1.33.4-5.5.el5
selinux-policy-2.4.6-255.el5_4.4
selinux-policy-targeted-2.4.6-255.el5_4.4
libselinux-1.33.4-5.5.el5

How reproducible:

100%

Steps to Reproduce:
1. Install websvn
2. Configure all components
3. Attempt to use the RSS feeds in enforcing mode.
  
Actual results:
httpd fails to write to the RSS feeds cache directory /var/cache/websvn and generates an error

Expected results:
An RSS feed is generated and displayed to the user.

Additional info:
Comment 1 Fedora Update System 2010-09-29 16:17:51 EDT
websvn-2.3.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/websvn-2.3.1-2.fc13
Comment 2 Fedora Update System 2010-09-29 16:17:57 EDT
websvn-2.3.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/websvn-2.3.1-2.fc14
Comment 3 Fedora Update System 2010-09-29 16:18:03 EDT
websvn-2.3.1-2.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/websvn-2.3.1-2.fc12
Comment 4 Fedora Update System 2010-09-29 16:18:10 EDT
websvn-2.3.1-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/websvn-2.3.1-2.el5
Comment 5 Fedora Update System 2010-09-30 01:31:57 EDT
websvn-2.3.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update websvn'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/websvn-2.3.1-2.fc14
Comment 6 Fedora Update System 2010-10-14 02:31:46 EDT
websvn-2.3.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-10-14 02:34:45 EDT
websvn-2.3.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-10-14 10:09:58 EDT
websvn-2.3.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-10-15 12:56:49 EDT
websvn-2.3.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.